PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated 2025-04-17
(C) Guido U. Draheim
guidod@gmx.de

## Documentation

Overview

The standard documenation is automatically generated and benefits from comments directly integrated in the PFE sources. See the unpacked documentation on this site, and fetch a copy of source and doc packages from the Download Area (including a Windows Help CHM File). The current documentation pipeline creates an intermediate DocBook XML file which is the best intermediate format for integration into third-party professional grade applications based on PFE Forth (as had been done at Tektronix MPT Berlin).

Since PFE implements the ANSI Forth Standard, you should read its documents as well, as in the Draft Proposal for ANS Forth that is publically available. There are also a lot of documents to be found at the WWW, the Forth Programming Webring at ZForth is a good starting point. By the courtesy of third-party Forth enthusiasts we can also provide you with a copy of the "4thtutor" and the ForthPrimer PDF by Hans Bezeemer.

<border=0 cellspacing=0 cellpadding=0 hspace=20>
The 0.33.x documentation - (the current docbook manual)
The 0.32.x documentation - (almost current docbook manual)
The 0.32.x docbook file - (rendered as a single page)
The 0.31.x documentation - (moved to old/ subdir now)
The 0.30.x documentation - (the docs that were actually quite good)
The sources made browsable - (purely experimental so far)
The autoconf extensions archive - (needed by pfe developers in 0.29.x)
The download file-list for releases
The download http area for releases
The download ftp area for snapshots
Link to xm-tools project - (to generate 0.31.x and 0.32.x docs)
Link to comp.lang.forth.repository - (project has just started)
Link to comp.lang.forth news archive at deja.com - (post there)
Link to the 4TH tutor - (a fine introduction to a forth system)
Link to the 4TH and Forthprimer - (the ANSForth tutorial successor of the 4TH tutor)

guidod@gmx.de | 2006-09-20